Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5158)
@@ -4,4 +4,5 @@
           disvert0, advect_vert, advect_va, lstendh, nudge_rht_init, nudge_uv_init, &
           nudge_rht, nudge_uv, interp2_case_vertical
+
 CONTAINS
   REAL FUNCTION fq_sat(kelvin, millibar)
@@ -67,18 +68,9 @@
     USE lmdz_fcs_gcssold, ONLY: imp_fcg_gcssold, ts_fcg_gcssold, Tp_fcg_gcssold, Tp_ini_gcssold, xTurb_fcg_gcssold
     USE lmdz_tsoilnudge, ONLY: nudge_tsoil, isoil_nudge, Tsoil_nudge, tau_soil_nudge
+    USE lmdz_compar1d
+
+    IMPLICIT NONE
     !-----------------------------------------------------------------------
     !     Auteurs :   A. Lahellec  .
-
-    !   Declarations :
-    !   --------------
-
-    include "compar1d.h"
-    include "fcg_racmo.h"
-
-
-    !   local:
-    !   ------
-
-    !      CHARACTER ch1*72,ch2*72,ch3*72,ch4*12
 
     !  -------------------------------------------------------------------
@@ -1148,5 +1140,5 @@
     !---------------------------------------------------------------
 
-    do l = 1, llm
+    DO l = 1, llm
       zw(l) = dt * w(l)
       zm(l) = plev(l) - plev(l + 1)
@@ -1156,5 +1148,5 @@
     zw(llm + 1) = 0.
 
-    do l = 1, llm
+    DO l = 1, llm
       qold = q(l)
       q(l) = (q(l) * zm(l) + zwq(l + 1) - zwq(l)) / (zm(l) + zw(l + 1) - zw(l))
@@ -1186,5 +1178,5 @@
     REAL alpha, omgdown, omgup
 
-    do l = 1, llm
+    DO l = 1, llm
       IF(l==1) THEN
         !si omgup pour la couche 1, alors tendance nulle
@@ -1271,5 +1263,5 @@
     cor(:) = rkappa * temp * (1. + q(:, 1) * rv / rd) / (play * (1. + q(:, 1)))
 
-    do k = 2, llm - 1
+    DO k = 2, llm - 1
 
       dph  (k - 1) = (play(k) - play(k - 1))
@@ -1286,5 +1278,5 @@
     dtdp (llm) = dtdp (llm - 1)
 
-    do k = 2, llm - 1
+    DO k = 2, llm - 1
       omdn = max(0.0, omega(k + 1))
       omup = min(0.0, omega(k))
@@ -1325,5 +1317,5 @@
 
     IMPLICIT NONE
- INCLUDE "FCTTRE.h"
+    INCLUDE "FCTTRE.h"
 
     ! ========================================================
@@ -1399,5 +1391,5 @@
 
     IMPLICIT NONE
- INCLUDE "FCTTRE.h"
+    INCLUDE "FCTTRE.h"
 
     ! ========================================================
@@ -1593,5 +1585,5 @@
     !      enddo
 
-    do l = 1, llm
+    DO l = 1, llm
 
       IF (play(l)>=plev_prof_cas(nlev_cas)) THEN
@@ -1602,5 +1594,5 @@
 
         IF (play(l)<=plev_prof_cas(1)) THEN
-          do k = 1, nlev_cas - 1
+          DO k = 1, nlev_cas - 1
             IF (play(l)<=plev_prof_cas(k).AND. play(l)>plev_prof_cas(k + 1)) THEN
               k1 = k
@@ -1612,5 +1604,5 @@
             WRITE(*, *) 'PB! k1, k2 = ', k1, k2
             WRITE(*, *) 'l,play(l) = ', l, play(l) / 100
-            do k = 1, nlev_cas - 1
+            DO k = 1, nlev_cas - 1
               WRITE(*, *) 'k,plev_prof_cas(k) = ', k, plev_prof_cas(k) / 100
             enddo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_compar1d.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_compar1d.f90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_compar1d.f90	(revision 5158)
@@ -0,0 +1,72 @@
+MODULE lmdz_compar1d
+  IMPLICIT NONE; PRIVATE
+  PUBLIC  nat_surf, tsurf, beta_surf, rugos, rugosh, &
+          xqsol, qsurf, psurf, zsurf, albedo, time, time_ini, xlat, xlon, airefi, &
+          wtsurf, wqsurf, restart_runoff, xagesno, qsolinp, zpicinp, &
+          forcing_type, tend_u, tend_v, tend_w, tend_t, tend_q, tend_rayo, &
+          nudge_u, nudge_v, nudge_w, nudge_t, nudge_q, &
+          iflag_nudge, snowmass, &
+          restart, ok_old_disvert, &
+          tadv, tadvv, tadvh, qadv, qadvv, qadvh, thadv, thadvv, thadvh, &
+          trad, forc_omega, forc_u, forc_v, forc_w, forc_geo, forc_ustar, &
+          nudging_u, nudging_v, nudging_t, nudging_qv, nudging_w, &
+          p_nudging_u, p_nudging_v, p_nudging_t, p_nudging_qv, p_nudging_w
+
+  INTEGER :: forcing_type
+  INTEGER :: tend_u, tend_v, tend_w, tend_t, tend_q, tend_rayo
+  REAL :: nudge_u, nudge_v, nudge_w, nudge_t, nudge_q
+  INTEGER :: iflag_nudge
+  REAL :: nat_surf
+  REAL :: tsurf
+  REAL :: beta_surf
+  REAL :: rugos
+  REAL :: rugosh
+  REAL :: xqsol(1:2)
+  REAL :: qsurf
+  REAL :: psurf
+  REAL :: zsurf
+  REAL :: albedo
+  REAL :: snowmass
+
+  REAL :: time
+  REAL :: time_ini
+  REAL :: xlat
+  REAL :: xlon
+  REAL :: airefi
+  REAL :: wtsurf
+  REAL :: wqsurf
+  REAL :: restart_runoff
+  REAL :: xagesno
+  REAL :: qsolinp
+  REAL :: zpicinp
+
+  LOGICAL :: restart
+  LOGICAL :: ok_old_disvert
+
+  ! Pour les forcages communs: ces entiers valent 0 ou 1
+  ! tadv= advection tempe, tadvv= adv tempe verticale, tadvh= adv tempe horizontale
+  ! idem pour l advection en theta
+  ! qadv= advection q, qadvv= adv q verticale, qadvh= adv q horizontale
+  ! trad= 0 (rayonnement actif) ou 1 (prescrit par tend_rad) ou adv (prescir et contenu dans les tadv)
+  ! forcages en omega, w, vent geostrophique ou ustar
+  ! Parametres de nudging en u,v,t,q valent 0 ou 1 ou le temps de nudging
+
+  INTEGER :: tadv, tadvv, tadvh, qadv, qadvv, qadvh, thadv, thadvv, thadvh, trad
+  INTEGER :: forc_omega, forc_u, forc_v, forc_w, forc_geo, forc_ustar
+  REAL :: nudging_u, nudging_v, nudging_w, nudging_t, nudging_qv
+  REAL :: p_nudging_u, p_nudging_v, p_nudging_w, p_nudging_t, p_nudging_qv
+
+
+  !$OMP THREADPRIVATE(nat_surf, tsurf, beta_surf, rugos, rugosh, &
+  !$OMP      xqsol, qsurf, psurf, zsurf, albedo, time, time_ini, xlat, xlon, airefi, &
+  !$OMP      wtsurf, wqsurf, restart_runoff, xagesno, qsolinp, zpicinp, &
+  !$OMP      forcing_type, tend_u, tend_v, tend_w, tend_t, tend_q, tend_rayo, &
+  !$OMP      nudge_u, nudge_v, nudge_w, nudge_t, nudge_q, &
+  !$OMP      iflag_nudge, snowmass, &
+  !$OMP      restart, ok_old_disvert, &
+  !$OMP      tadv, tadvv, tadvh, qadv, qadvv, qadvh, thadv, thadvv, thadvh, &
+  !$OMP      trad, forc_omega, forc_u, forc_v, forc_w, forc_geo, forc_ustar, &
+  !$OMP      nudging_u, nudging_v, nudging_t, nudging_qv, nudging_w, &
+  !$OMP      p_nudging_u, p_nudging_v, p_nudging_t, p_nudging_qv, p_nudging_w)
+
+END MODULE lmdz_compar1d
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_date_cas.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_date_cas.f90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_date_cas.f90	(revision 5158)
@@ -0,0 +1,12 @@
+MODULE lmdz_date_cas
+  IMPLICIT NONE; PRIVATE
+  PUBLIC year_ini_cas, mth_ini_cas, day_deb, heure_ini_cas, pdt_cas, day_ju_ini_cas
+
+  INTEGER :: year_ini_cas    ! initial year of the case
+  INTEGER :: mth_ini_cas     ! initial month of the case
+  INTEGER :: day_deb         ! initial day of the case
+  REAL :: heure_ini_cas      ! start time of the case
+  REAL :: pdt_cas            ! forcing_frequency
+  REAL :: day_ju_ini_cas     ! julian day of initial day of the case
+END MODULE lmdz_date_cas
+
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90	(revision 5158)
@@ -2,4 +2,16 @@
   PRIVATE  ! -- We'd love to put IMPLICIT NONE;  here...
   PUBLIC get_uvd, copie, get_uvd2, rdgrads, spaces
+
+  REAL play(100)  !pression en Pa au milieu de chaque couche GCM
+  INTEGER JM(100) !pression en Pa au milieu de chaque couche GCM
+  REAL coef1(100) !coefficient d interpolation
+  REAL coef2(100) !coefficient d interpolation
+  INTEGER klev
+
+  INTEGER nblvlm !nombre de niveau de pression du mesoNH
+  REAL playm(100)  !pression en Pa au milieu de chaque couche Meso-NH
+  REAL hplaym(100) !pression en hPa milieux des couches Meso-NH
+
+
 CONTAINS
 
@@ -16,21 +28,6 @@
     ! pouvoir calculer la convergence et le cisaillement dans la physiq
     !cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
-
-    INTEGER klev
-    REAL play(100)  !pression en Pa au milieu de chaque couche GCM
-    INTEGER JM(100) !pression en Pa au milieu de chaque couche GCM
-    REAL coef1(100) !coefficient d interpolation
-    REAL coef2(100) !coefficient d interpolation
-
-    INTEGER nblvlm !nombre de niveau de pression du mesoNH
-    REAL playm(100)  !pression en Pa au milieu de chaque couche Meso-NH
-    REAL hplaym(100) !pression en hPa milieux des couches Meso-NH
-
     INTEGER i, j, k, ll, in
-
     CHARACTER*80 file_forctl, file_fordat
-
-    COMMON/com1_phys_gcss/play, coef1, coef2, JM, klev
-    COMMON/com2_phys_gcss/playm, hplaym, nblvlm
 
     !======================================================================
@@ -162,5 +159,5 @@
     !*** precedent en format gcm                                     ***
     IF(pas>pasprev)THEN
-      do i = 1, klev
+      DO i = 1, klev
         htbef(i) = htaft(i)
         hqbef(i) = hqaft(i)
@@ -192,10 +189,10 @@
       IF(Tp_fcg) THEN
         !     (le forcage est donne en temperature potentielle)
-        do i = 1, nblvlm
+        DO i = 1, nblvlm
           ht_mes(i) = ht_mes(i) * (hplaym(i) / 1000.)**rkappa
         enddo
       endif ! Tp_fcg
       IF(Turb_fcg) THEN
-        do i = 1, nblvlm
+        DO i = 1, nblvlm
           hThTurb_mes(i) = hThTurb_mes(i) * (hplaym(i) / 1000.)**rkappa
         enddo
@@ -216,5 +213,5 @@
       !*** on interpole les champs meso_NH sur les niveaux de pression***
       !*** gcm . on obtient le nouveau champ after                    ***
-      do k = 1, klev
+      DO k = 1, klev
         IF (JM(k) == 0) THEN
           htaft(k) = ht_mes(jm(k) + 1)
@@ -254,5 +251,5 @@
     !*** on conserve les derniers champs calcules                    ***
     IF(temps>=pasmax)THEN
-      do ll = 1, klev
+      DO ll = 1, klev
         ht(ll) = htaft(ll)
         hq(ll) = hqaft(ll)
@@ -267,5 +264,5 @@
       !*** on interpole sur les pas de temps de 10mn du gcm a partir   ***
       !** des pas de temps de 1h du meso_NH                            ***
-      do j = 1, klev
+      DO j = 1, klev
         ht(j) = ((timeaft - time) * htbef(j) + (time - timebef) * htaft(j)) / dt
         hq(j) = ((timeaft - time) * hqbef(j) + (time - timebef) * hqaft(j)) / dt
@@ -287,10 +284,10 @@
     print *, ' time,timebef,timeaft', time, timebef, timeaft
     print *, ' ht,htbef,htaft,hthturb,hthturbbef,hthturbaft'
-    do j = 1, klev
+    DO j = 1, klev
       print *, j, ht(j), htbef(j), htaft(j), &
               &             hthturb(j), hthturbbef(j), hthturbaft(j)
     enddo
     print *, ' hq,hqbef,hqaft,hqturb,hqturbbef,hqturbaft'
-    do j = 1, klev
+    DO j = 1, klev
       print *, j, hq(j), hqbef(j), hqaft(j), &
               &             hqturb(j), hqturbbef(j), hqturbaft(j)
@@ -317,5 +314,5 @@
 
     !------------------
-    do i = 1, 1000
+    DO i = 1, 1000
       read(97, 1000, end = 999) string
       1000 format (a4)
@@ -373,5 +370,5 @@
     !------------------------------------------------------------------------
     IF(Tp_fcg) THEN
-      do i = 1, nblvlm
+      DO i = 1, nblvlm
         ht_mes(i) = ht_mes(i) * (hplaym(i) / 1000.)**rkappa
       enddo
@@ -393,5 +390,5 @@
     ! on interpole sur les niveaux du gcm(niveau pression bien sur!)
     !-----------------------------------------------------------------------
-    do k = 1, klev
+    DO k = 1, klev
       IF (JM(k) == 0) THEN
         !FKC bug? ne faut il pas convertir tsol en tendance ????
@@ -426,5 +423,5 @@
     tsaft = ts_subr
     ! valeurs initiales des champs de convergence
-    do k = 1, klev
+    DO k = 1, klev
       ht(k) = htaft(k)
       hq(k) = hqaft(k)
@@ -473,5 +470,5 @@
     data alx, aly /100000., 150000./
 
-    do k = 1, klev
+    DO k = 1, klev
       du = abs(vu_f(k) - cx) / alx
       dv = abs(vv_f(k) - cy) / aly
@@ -489,21 +486,4 @@
     IMPLICIT NONE
 
-    !cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
-    ! cette routine remplit les COMMON com1_phys_gcss et com2_phys_gcss.h
-    !ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
-
-    INTEGER klev !nombre de niveau de pression du GCM
-    REAL play(100)  !pression en Pa au milieu de chaque couche GCM
-    INTEGER JM(100)
-    REAL coef1(100)   !coefficient d interpolation
-    REAL coef2(100)   !coefficient d interpolation
-
-    INTEGER nblvlm !nombre de niveau de pression du mesoNH
-    REAL playm(100) !pression en Pa au milieu de chaque couche Meso-NH
-    REAL hplaym(100)!pression en hecto-Pa des milieux de couche Meso-NH
-
-    COMMON/com1_phys_gcss/play, coef1, coef2, JM, klev
-    COMMON/com2_phys_gcss/playm, hplaym, nblvlm
-
     INTEGER k, klevgcm
     REAL playgcm(klevgcm) ! pression en milieu de couche du gcm
@@ -518,5 +498,5 @@
     !---------------------------------------------------------------------
 
-    do k = 1, klev
+    DO k = 1, klev
       play(k) = playgcm(k)
       PRINT*, 'la pression gcm est:', play(k)
@@ -526,5 +506,4 @@
     ! lecture du descripteur des donnees Meso-NH (forcing.ctl):
     !  -> nb niveaux du meso.NH (nblvlm) + pressions meso.NH
-    ! (on remplit le COMMON com2_phys_gcss)
     !----------------------------------------------------------------------
 
@@ -536,5 +515,4 @@
     ! etude de la correspondance entre les niveaux meso.NH et GCM;
     ! calcul des coefficients d interpolation coef1 et coef2
-    ! (on remplit le COMMON com1_phys_gcss)
     !----------------------------------------------------------------------
 
@@ -549,9 +527,9 @@
     WRITE(*, *) '--------------------------------------'
     WRITE(*, *) 'GCM: nb niveaux:', klev, ' et pression, coeffs:'
-    do k = 1, klev
+    DO k = 1, klev
       WRITE(*, *) play(k), coef1(k), coef2(k)
     enddo
     WRITE(*, *) 'MESO-NH: nb niveaux:', nblvlm, ' et pression:'
-    do k = 1, nblvlm
+    DO k = 1, nblvlm
       WRITE(*, *) playm(k), hplaym(k)
     enddo
@@ -570,9 +548,4 @@
     !ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
 
-    INTEGER nblvlm !nombre de niveau de pression du mesoNH
-    REAL playm(100)  !pression en Pa milieu de chaque couche Meso-NH
-    REAL hplaym(100) !pression en hPa des milieux de couche Meso-NH
-    COMMON/com2_phys_gcss/playm, hplaym, nblvlm
-
     INTEGER i, lu, mlz, mlzh
 
@@ -586,5 +559,5 @@
     open(lu, file = file_forctl, form = 'formatted')
 
-    do i = 1, 1000
+    DO i = 1, 1000
       read(lu, 1000, end = 999) a
       IF (a == 'ZDEF') go to 100
@@ -608,5 +581,5 @@
     !      Si la pression est en HPa, la multiplier par 100
     IF (playm(1) < 10000.) THEN
-      do mlz = 1, nblvlm
+      DO mlz = 1, nblvlm
         playm(mlz) = playm(mlz) * 100.
       enddo
@@ -617,5 +590,5 @@
 
     PRINT*, ' '
-    do mlzh = 1, nblvlm
+    DO mlzh = 1, nblvlm
       hplaym(mlzh) = playm(mlzh) / 100.
     enddo
@@ -644,15 +617,15 @@
     icomp = icount
 
-    do k = 1, nl
+    DO k = 1, nl
       icomp = icomp + 1
       read(itape, rec = icomp)z(k)
       print *, 'icomp,k,z(k) ', icomp, k, z(k)
     enddo
-    do k = 1, nl
+    DO k = 1, nl
       icomp = icomp + 1
       read(itape, rec = icomp)hT(k)
       PRINT*, hT(k), k
     enddo
-    do k = 1, nl
+    DO k = 1, nl
       icomp = icomp + 1
       read(itape, rec = icomp)hQ(k)
@@ -660,9 +633,9 @@
 
     IF(turb_fcg) THEN
-      do k = 1, nl
+      DO k = 1, nl
         icomp = icomp + 1
         read(itape, rec = icomp)hThTur(k)
       enddo
-      do k = 1, nl
+      DO k = 1, nl
         icomp = icomp + 1
         read(itape, rec = icomp)hqTur(k)
@@ -672,9 +645,9 @@
 
     IF(imp_fcg) THEN
-      do k = 1, nl
+      DO k = 1, nl
         icomp = icomp + 1
         read(itape, rec = icomp)hu(k)
       enddo
-      do k = 1, nl
+      DO k = 1, nl
         icomp = icomp + 1
         read(itape, rec = icomp)hv(k)
@@ -683,5 +656,5 @@
     endif
 
-    do k = 1, nl
+    DO k = 1, nl
       icomp = icomp + 1
       read(itape, rec = icomp)hw(k)
@@ -707,22 +680,9 @@
     !ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
 
-    INTEGER klev    !nombre de niveau de pression du GCM
-    REAL play(100)  !pression en Pa au milieu de chaque couche GCM
-    INTEGER JM(100)
-    REAL coef1(100) !coefficient d interpolation
-    REAL coef2(100) !coefficient d interpolation
-
-    INTEGER nblvlm !nombre de niveau de pression du mesoNH
-    REAL playm(100) !pression en Pa milieu de chaque couche Meso-NH
-    REAL hplaym(100)!pression en hPa des milieux de couche Meso-NH
-
-    COMMON/com1_phys_gcss/play, coef1, coef2, JM, klev
-    COMMON/com2_phys_gcss/playm, hplaym, nblvlm
-
     REAL psol
     REAL val
     INTEGER k, mlz
 
-    do k = 1, klev
+    DO k = 1, klev
       val = play(k)
       IF (val > playm(1)) THEN
@@ -732,5 +692,5 @@
         coef2(1) = (val - psol) / (playm(mlz + 1) - psol)
       ELSE IF (val > playm(nblvlm)) THEN
-        do mlz = 1, nblvlm
+        DO mlz = 1, nblvlm
           IF (val <= playm(mlz).AND. val > playm(mlz + 1))THEN
             JM(k) = mlz
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90	(revision 5158)
@@ -57,9 +57,11 @@
     USE lmdz_tsoilnudge, ONLY: nudge_tsoil, isoil_nudge, Tsoil_nudge, tau_soil_nudge
     USE lmdz_yomcst
+    USE lmdz_compar1d
+    USE lmdz_date_cas, ONLY: year_ini_cas, mth_ini_cas, day_deb, heure_ini_cas, pdt_cas, day_ju_ini_cas
+
+    IMPLICIT NONE
 
     INCLUDE "dimensions.h"
     INCLUDE "dimsoil.h"
-    INCLUDE "compar1d.h"
-    INCLUDE "date_cas.h"
 
     !=====================================================================
@@ -454,5 +456,5 @@
     ! Initialization of the LOGICAL switch for nudging
     jcode = iflag_nudge
-    do i = 1, nudge_max
+    DO i = 1, nudge_max
       nudge(i) = mod(jcode, 10) >= 1
       jcode = jcode / 10
@@ -696,5 +698,5 @@
       ! pour forcing_sandu, on cherche l'indice le plus proche de 700hpa#3000m
       WRITE(*, *) '***********************'
-      do l = 1, llm
+      DO l = 1, llm
         WRITE(*, *) 'l,play(l),presnivs(l): ', l, play(l), presnivs(l)
         IF (trouve_700 .AND. play(l)<=70000) THEN
@@ -1004,5 +1006,5 @@
                 PRINT*, temp(1), q(1, 1), u(1), v(1), plev(1), phis
         ! raz for safety
-        do l = 1, llm
+        DO l = 1, llm
                 dq_dyn(l, 1) = 0.
         enddo
@@ -1049,5 +1051,5 @@
 
         phi(1) = RD * temp(1) * (plev(1) - play(1)) / (.5 * (plev(1) + play(1)))
-                do l = 1, llm - 1
+                DO l = 1, llm - 1
                 phi(l + 1) = phi(l) + RD * (temp(l) + temp(l + 1)) * &
         (play(l) - play(l + 1)) / (play(l) + play(l + 1))
@@ -1151,5 +1153,5 @@
 
         !on calcule dt_cooling
-        do l = 1, llm
+        DO l = 1, llm
         IF (play(l)>=20000.) THEN
         dt_cooling(l) = -1.5 / 86400.
@@ -1219,5 +1221,5 @@
         d_t_adv = 0.
         d_q_adv = 0.
-        do l = 2, llm - 1
+        DO l = 2, llm - 1
         IF (zlay(l)<=1100) THEN
         wwww = -0.00001 * zlay(l)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90	(revision 5158)
@@ -50,9 +50,9 @@
     USE lmdz_tsoilnudge, ONLY: nudge_tsoil, isoil_nudge, Tsoil_nudge, tau_soil_nudge
     USE lmdz_yomcst
+    USE lmdz_compar1d
+    USE lmdz_date_cas, ONLY: year_ini_cas, mth_ini_cas, day_deb, heure_ini_cas, pdt_cas, day_ju_ini_cas
 
     INCLUDE "dimensions.h"
     INCLUDE "dimsoil.h"
-    INCLUDE "compar1d.h"
-    INCLUDE "date_cas.h"
 
     !=====================================================================
@@ -280,5 +280,5 @@
 
     jcode = iflag_nudge
-    do i = 1, nudge_max
+    DO i = 1, nudge_max
       nudge(i) = mod(jcode, 10) >= 1
       jcode = jcode / 10
@@ -459,5 +459,5 @@
       ! pour forcing_sandu, on cherche l'indice le plus proche de 700hpa#3000m
       WRITE(*, *) '***********************'
-      do l = 1, llm
+      DO l = 1, llm
         WRITE(*, *) 'l,play(l),presnivs(l): ', l, play(l), presnivs(l)
         IF (trouve_700 .AND. play(l)<=70000) THEN
@@ -717,5 +717,5 @@
         !        phy_fter,phy_foce,phy_flic,phy_fsic)
                 !------------------------------------------------------------------------
-                do i = 1, year_len
+                DO i = 1, year_len
                 phy_nat(i)  = nat_surf
                 phy_alb(i)  = albedo
@@ -759,5 +759,5 @@
                 PRINT*, temp(1), q(1, 1), u(1), v(1), plev(1), phis(1)
                 ! raz for safety
-                do l = 1, llm
+                DO l = 1, llm
                 d_q_vert_adv(l, 1) = 0.
                 enddo
@@ -780,5 +780,5 @@
 
         it_end = nint(fnday*day_step)
-                do while(it<=it_end)
+                DO while(it<=it_end)
 
                 IF (prt_level>=1) THEN
@@ -804,5 +804,5 @@
         phi(1)= RD*temp(1)*(plev(1)-play(1))/(.5*(plev(1)+play(1)))
 
-                do l = 1, llm-1
+                DO l = 1, llm-1
                 phi(l+1)= phi(l)+RD*(temp(l)+temp(l+1))*                           &
         (play(l)-play(l+1))/(play(l)+play(l+1))
@@ -824,5 +824,5 @@
 
         teta = temp*(pzero/play)**rkappa
-        do l = 2, llm-1
+        DO l = 2, llm-1
         ! vertical tendencies computed as d X / d t = -W  d X / d z
         d_u_vert_adv(l)= -w_adv(l)*(u(l+1)-u(l-1))/(z_adv(l+1)-z_adv(l-1))
